<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CriterionScale extends Migration
{

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('criterion_scale', function (Blueprint $table) {
			$table->increments('id')->unsigned();
			$table->integer('criterion_id')->unsigned();
			$table->foreign('criterion_id')
				->references('id')
				->on('criteria')
				->onUpdate('cascade')
				->onDelete('cascade');
			$table->integer('scale_id')->unsigned();
			$table->foreign('scale_id')
				->references('id')
				->on('scales')
				->onUpdate('cascade')
				->onDelete('cascade');
			$table->integer('position')->unsigned();
		});
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('criterion_scale');
	}
}
